Warning Meldung auf HP

Alles, was PHP betrifft, kann hier besprochen werden.

Warning Meldung auf HP

Postby ThecreatoR » 09. February 2004 16:06

Hallo zusammen!

Ich hoffe, dass ich hier im PHP Forum richtig bin, da ich nicht genau weiß was diese Fehlermeldung hervorruft:

Warning: Compilation failed: PCRE does not support \L, \l, \N, \P, \p, \U, \u, or \X at offset 11 in /var/www/...

Dürfte aber wahrscheinlich am php liegen. Und was mir noch aufgefallen ist, dass diese Fehlermeldung nur beim Apache2 auftaucht. Jedenfalls ist die Meldung erst seit dem Serverwechsel da.

Vielleicht hat jemand eine Idee...
Vielen Dank im Voraus,
Ralph
User avatar
ThecreatoR
 
Posts: 2
Joined: 09. February 2004 16:00
Location: Ardning

Postby Oswald » 09. February 2004 19:52

Hallo Ralph!

Kannst Du die Zeile, die die Fehlermelung erzeugt mal hier posten? Wird wahrscheinlich eine Zeile sein, die irgendwas mit preg_xxx aufruft.

Lieben Gruß
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby ThecreatoR » 10. February 2004 00:22

Stimmt! Es beginnt mit "preg_...."
Hier die Zeile:

$wert = preg_replace('/<u>(.+)<\/\u>/isU', '\\1', $wert);

Was kann man dagen tun? Gibts es da einen anderen (neuen) Befehl dafür?
cu Ralph
User avatar
ThecreatoR
 
Posts: 2
Joined: 09. February 2004 16:00
Location: Ardning

Postby Wiedmann » 10. February 2004 02:33

Mal so eine Vermutung. Könnte es sein das es dort:
$wert = preg_replace('/<u>(.+)<\/\u>/isU', '\\1', $wert);
so sein müsste:
$wert = preg_replace('/<u>(.+)<\/u>/isU', '\\1', $wert);
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to PHP

Who is online

Users browsing this forum: No registered users and 1 guest